Bug 989286 - [virtio-win][netkvm]Test only parameters should not be exposed to end user.
[virtio-win][netkvm]Test only parameters should not be exposed to end user.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virtio-win (Show other bugs)
6.5
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Yan Vugenfirer
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-28 22:26 EDT by Min Deng
Modified: 2013-12-06 03:05 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-29 06:45:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Min Deng 2013-07-28 22:26:08 EDT
Description of problem:
Test only parameters should not be exposed to end user.

Version-Release number of selected component (if applicable):
build65

How reproducible:
many times

Steps to Reproduce:
1.boot up guest with the following CLI
  /usr/libexec/qemu-kvm -smp 4 -m 2G -device virtio-balloon-pci,id=balloon0 -k en-us -usb -device usb-tablet,id=tablet0 -device intel-hda,id=sound0 -device hda-duplex,id=sound0-codec0,bus=sound0.0,cad=0 -drive file=/home/win732.qcow3,format=qcow2,cache=none,if=none,werror=stop,rerror=stop,id=drive-disk0,media=disk,cache=writethrough,serial=systemdisk -device ide-drive,drive=drive-disk0,id=disk0,bootindex=2 -netdev tap,id=hostnet0,vhost=on,script=/etc/qemu-ifup -device virtio-net-pci,netdev=hostnet0,id=net0,mac=00:11:41:54:33:8a -spice port=5931,disable-ticketing -vga qxl -uuid `uuidgen` -monitor stdio -drive file=NFS.qcow3,if=none,format=qcow2,id=drive-virtio-data1,werror=stop,rerror=stop,cache=writeback -device virtio-blk-pci,id=virtio-data1,drive=drive-virtio-data1 -global PIIX4_PM.disable_s3=0 -global PIIX4_PM.disable_s4=0 -cdrom en_windows_7_ultimate_with_sp1_x86_dvd_u_677460.iso
2.open device and check the parameters on its properties page

Actual results:
  Testonly.RXthrottle is still exposed to end user in property page.
Expected results:
  Test only related parameters should not be exposed to end user.

Additional info:
win7-32 guest with build 65 installed
Comment 2 Yan Vugenfirer 2013-07-29 06:45:24 EDT
It was decided to include testonly parameters as those still might be need to change during some conditions. 

In order to make such a change a standard one - the parameters are exposed through INF.

Best regards,
Yan.

Note You need to log in before you can comment on or make changes to this bug.